MIX_GetTrackAudioStream(3)

NAME
MIX_GetTrackAudioStream - Query the SDL_AudioStream assigned to a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

SDL_AudioStream * MIX_GetTrackAudioStream(MIX_Track *track);

DESCRIPTION
This returns the SDL_AudioStream object currently assigned to track through a call to MIX_SetTrackAudioStream(). If there is none assigned, or the track has an input that isn't an SDL_AudioStream (such as a MIX_Audio or SDL_IOStream), this will return NULL.

On various errors (MIX_Init() was not called, the track is NULL), this returns NULL, but there is no mechanism to distinguish errors from tracks without a valid input.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns an SDL_AudioStream if available, NULL if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetTrackAudio(3)